/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package alaposztalyok;

import java.awt.Color;
import java.awt.Graphics;
import java.util.logging.Level;
import java.util.logging.Logger;
import feluletek.RajzPanel;
import vezerles.Vezerlo;

/**
 *
 * @author :)
 */
public class ZoldSzal extends Thread{
    private int kx, ky, vx, vy, aktx, akty, r;
    private double lepesSzam ;
    private long ido;
    private Color szin = Color.green;
    private Vezerlo vezerlo;

    public ZoldSzal(int kx, int ky, int vx, int vy, int r,
                    double lepesSzam, long ido, Vezerlo vezerlo) {
        this.kx = kx;
        this.ky = ky;
        this.vx = vx;
        this.vy = vy;
        this.aktx = kx;
        this.akty = ky;
        this.r = r;
        this.lepesSzam = lepesSzam;
        this.ido = ido;
        this.vezerlo = vezerlo;
    }

    @Override
    public void run() {
        // NAGYON FONTOS, hogy a lepesszam double legyen!!!
        // Próbálja ki, hogy milyen, ha int.
        double dx = (vx - kx) / lepesSzam;
        double dy = (vy - ky) / lepesSzam;

        for (int i = 1; i <= lepesSzam; i++) {
            try {
                aktx = (int) (kx + i * dx);
                akty = (int) (ky + i * dy);

                Thread.sleep(ido);
                vezerlo.frissites();
            } catch (InterruptedException ex) {
                Logger.getLogger(ZoldSzal.class.getName()).log(Level.SEVERE, null, ex);
            }
        }
    }

    public void rajzolas(Graphics g){
        g.setColor(szin);
        g.fillOval(aktx-r, akty-r, 2*r, 2*r);
    }

    public int getKx() {
        return kx;
    }

    public int getKy() {
        return ky;
    }

    public int getVx() {
        return vx;
    }

    public int getVy() {
        return vy;
    }

    public int getAktx() {
        return aktx;
    }

    public int getAkty() {
        return akty;
    }

    public int getR() {
        return r;
    }

    public double getLepesSzam() {
        return lepesSzam;
    }

    public long getIdo() {
        return ido;
    }

    public Color getSzin() {
        return szin;
    }

    public Vezerlo getVezerlo() {
        return vezerlo;
    }

    public void setKx(int kx) {
        this.kx = kx;
    }

    public void setKy(int ky) {
        this.ky = ky;
    }

    public void setVx(int vx) {
        this.vx = vx;
    }

    public void setVy(int vy) {
        this.vy = vy;
    }

    public void setAktx(int aktx) {
        this.aktx = aktx;
    }

    public void setAkty(int akty) {
        this.akty = akty;
    }

    public void setR(int r) {
        this.r = r;
    }

    public void setLepesSzam(double lepesSzam) {
        this.lepesSzam = lepesSzam;
    }

    public void setIdo(long ido) {
        this.ido = ido;
    }

    public void setSzin(Color szin) {
        this.szin = szin;
    }

    public void setVezerlo(Vezerlo vezerlo) {
        this.vezerlo = vezerlo;
    }
    
    
}
