/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package vezerles;

import alaposztalyok.Potty;
import alaposztalyok.ZoldSzal;
import feluletek.RajzPanel;
import java.awt.Graphics;
import java.util.ArrayList;
import java.util.List;
import java.util.concurrent.CopyOnWriteArrayList;

/**
 *
 * @author :)
 */
public class Vezerlo {
    
    private final int pottyR = 10;
    private final int szalR = 5;
    
    private double lepesSzam = 100;
    private long ido = 10;
            
    
    private RajzPanel rajzPanel;
    
    private List<Potty> pottyok = new ArrayList<>();
    private List<ZoldSzal> szalak = new CopyOnWriteArrayList<>();

    public Vezerlo(RajzPanel rajzPanel) {
        this.rajzPanel = rajzPanel;
    }

    public void rajzolas(Graphics g) {
        for(Potty potty : pottyok){
            potty.rajzol(g);
        }
        
        for(ZoldSzal szal: szalak){
            szal.rajzolas(g);
        } 
    }

    public void frissites() {
        rajzPanel.repaint();
    }

    public void kattintottak(int x, int y) {

        Potty potty = new Potty(x, y, pottyR);   
        pottyok.add(potty);
        if(pottyok.size()>=2){
            int kx = pottyok.get(pottyok.size()-2).getKx();
            int ky = pottyok.get(pottyok.size()-2).getKy();
            int vx = pottyok.get(pottyok.size()-1).getKx();
            int vy = pottyok.get(pottyok.size()-1).getKy(); 

            ZoldSzal zoldSzal = new ZoldSzal(kx, ky, vx, vy, szalR, lepesSzam, ido, this);

            szalak.add(zoldSzal);
            zoldSzal.start();
        }
    }    
}
