/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package tesztek;

import alaposztalyok.ZoldSzal;
import feluletek.RajzPanel;
import java.awt.Color;
import java.util.logging.Level;
import java.util.logging.Logger;
import org.junit.Before;
import org.junit.Test;
import static org.junit.Assert.*;
import vezerles.Vezerlo;

/**
 *
 * @author :)
 */
public class MozgasTeszt {
    
    private int kx, ky, vx, vy, aktx, akty, r;
    private double lepesSzam ;
    private long ido;
    private Color szin = Color.green;
    private Vezerlo vezerlo;
    private int szalR ;
    
    private ZoldSzal zoldSzal;
    
    public MozgasTeszt() {
    }
    
    @Before
    public void setUp() {
        RajzPanel rajzPanel = new RajzPanel();
        vezerlo = new Vezerlo(rajzPanel);
        kx = 10;
        ky = 10;
        vx = 30;
        vy = 50;
        lepesSzam = 2;
        ido = 10;    
                
        zoldSzal = new ZoldSzal(kx, ky, vx, vy, szalR, lepesSzam, ido, vezerlo);
    }

    @Test(timeout=20)
    public void idoTeszt() {
        zoldSzal.start();
    }
    
     @Test
     public void helyTeszt() {
         assertEquals(zoldSzal.getAktx(), kx);         
         zoldSzal.start();
        try {
            Thread.sleep((long) (ido * lepesSzam));
        } catch (InterruptedException ex) {
            Logger.getLogger(MozgasTeszt.class.getName()).log(Level.SEVERE, null, ex);
        }
        assertEquals(zoldSzal.getAktx(), vx);  
     }
}
